Create a New Field Index

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
POST /profiles/{profile_id}/pages/{page_id}/index

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

application/json

Body

  • elementname_field123 string
  • type string Required

Responses

  • 200 */*

    OK

    Hide response attribute Show response attribute object
    • elementname_field123 string
POST /profiles/{profile_id}/pages/{page_id}/index
curl \
 --request POST 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/pages/{page_id}/index' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"elementname_field123":"string","type":"key or fulltext"}'
Request examples
{
  "elementname_field123": "string",
  "type": "key or fulltext"
}
Response examples (200)
{
  "elementname_field123": "string"
}